Package org.eclipse.graphiti.features.impl

## Class DefaultMoveAnchorFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.DefaultMoveAnchorFeature

All Implemented Interfaces:
  `IFeature`, `IFeatureProviderHolder`, `IMoveAnchorFeature`, `IMoveFeature`, `IDescription`, `IName`

    public class DefaultMoveAnchorFeature
    extends AbstractFeature
    implements IMoveAnchorFeature

The Class DefaultMoveAnchorFeature.

### Constructor Summary

Constructors
`DefaultMoveAnchorFeature​(IFeatureProvider fp)` Creates a new `DefaultMoveAnchorFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute​(IContext context)` Decides if the current feature can execute with the given context.
`boolean` `canMoveAnchor​(IMoveAnchorContext context)` Can move anchor.
`void` `execute​(IContext context)` Executes the current feature with the given context.
`java.lang.String` `getName()` Gets the name.
`void` `moveAnchor​(IMoveAnchorContext context)` Move anchor.
`protected void` `moveAnchor​(Anchor anchor, int posX, int posY)` Move anchor.
`void` `postMoveAnchor​(IMoveAnchorContext context)` Post move anchor.
`void` `preMoveAnchor​(IMoveAnchorContext context)` Pre move anchor.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDescription, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### DefaultMoveAnchorFeature

    public DefaultMoveAnchorFeature​(IFeatureProvider fp)

Creates a new `DefaultMoveAnchorFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### canMoveAnchor

    public boolean canMoveAnchor​(IMoveAnchorContext context)

Description copied from interface: `IMoveAnchorFeature`
Can move anchor.

Specified by:
  `canMoveAnchor` in interface `IMoveAnchorFeature`
Parameters:
  `context` - the context
Returns:
  true, if successful

#### moveAnchor

    public void moveAnchor​(IMoveAnchorContext context)

Description copied from interface: `IMoveAnchorFeature`
Move anchor.

Specified by:
  `moveAnchor` in interface `IMoveAnchorFeature`
Parameters:
  `context` - the context

#### preMoveAnchor

    public void preMoveAnchor​(IMoveAnchorContext context)

Description copied from interface: `IMoveAnchorFeature`
Pre move anchor.

Specified by:
  `preMoveAnchor` in interface `IMoveAnchorFeature`
Parameters:
  `context` - the context

#### postMoveAnchor

    public void postMoveAnchor​(IMoveAnchorContext context)

Description copied from interface: `IMoveAnchorFeature`
Post move anchor.

Specified by:
  `postMoveAnchor` in interface `IMoveAnchorFeature`
Parameters:
  `context` - the context

#### moveAnchor

    protected void moveAnchor​(Anchor anchor,
                              int posX,
                              int posY)

Move anchor.

Parameters:
  `anchor` - the anchor
  `posX` - the pos x
  `posY` - the pos y

#### canExecute

    public boolean canExecute​(IContext context)

Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  `IContext`

#### execute

    public void execute​(IContext context)

Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  `IContext`

#### getName

    public java.lang.String getName()

Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name